package com.willalp.common.enums;

/**
 * 操作人类别
 *
 * @author willalp
 */
public enum ConsumeChangeEnum {

    ONLINECONSUME("9","预定消费"),
    ONLINEBOOKING("10","预定记账"),
    OFFLINECONSUME("11","窗口消费"),
    OFFLINEBOOKING("12","窗口记账"),
    REFUND("13","订单作废"),
    Gift("14","礼品消费");

    private String value;

    private String label;

    ConsumeChangeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public static String[] getAllValue(){
        ConsumeChangeEnum[] rechargeEnums = ConsumeChangeEnum.values();
        String[] values = new String[rechargeEnums.length];
        for (int i = 0; i <rechargeEnums.length ; i++) {
            values[i] = rechargeEnums[i].value;
        }
        return values;
    }

}
